package org.one.stone.soup.cursor;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
	* The TableCursor class is a light weight container for
	* keeping track of column and row when traversing a table.
	* @author Nik Cross
*/

public class TableCursor {
	public int row = 0;
	public int field = 0;
/**
 * The constructor sets the initial field/column and row.
 * @param col	The current column or field
 * @param row	The current row
 */
	public TableCursor(int field, int row)
	{
		this.field = field;
		this.row = row;
	}
	public boolean isValid()
	{
		if(field<0 || row<0)
		{
			return false;
		}
		else
		{
			return true;
		}
	}
}
