package org.one.stone.soup.dfml;

import org.one.stone.soup.exception.ExceptionTemplate;

public class DfmlCompileException extends ExceptionTemplate {

	public static final int UNKNOWN_CODE = 0;
		
	static{
		message = new String[1];

		message[UNKNOWN_CODE]="Unknown exception code #.";
	}	
/**
 * IGMLException constructor comment.
 * @param code int
 * @param data java.lang.Object[]
 */
public DfmlCompileException(int code, java.lang.Object[] data) {
	super(code, data);
}
public DfmlCompileException(int code, int lineNo) {
	super(code, new Object[]{new Integer(lineNo)} );
}
}
