package org.one.stone.soup.dfml;

import java.io.*;
public class DfmlHelper {
public final static void build(OutputStream out, DfmlData source) throws IOException
{
	while( !source.isFinished() )
	{
		out.write( source.process().getBytes() );
	}
	out.flush();
}
public final static void build(String path, String file, DfmlData source) throws IOException
{
	FileOutputStream out = new FileOutputStream(path+file);
	
	while( !source.isFinished() )
	{
		out.write( source.process().getBytes() );
	}

	out.close();
}
public final static String buildToString(DfmlData source)
{
	StringBuffer data = new StringBuffer();
	
	while( !source.isFinished() )
	{
		data.append( source.process() );
	}

	return data.toString();
}
}
