package org.one.stone.soup.io;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
 * @author nikcross
 *
 */

// TODO
public class InputStreamHolder extends java.io.InputStream {

	private static int BUFFER_SIZE = 5000;

	byte[] data = new byte[BUFFER_SIZE];

	int readPos = 0;
	int writePos = 0;
/**
 * InputStreamHolder constructor comment.
 */
public InputStreamHolder() {
	super();
}
public void add(int value)
{
	data[writePos] = (byte)value;

	writePos++;

	if( writePos>=BUFFER_SIZE )
	{
		writePos = 0;
	}
}
public int read() throws java.io.IOException {

	if(readPos==writePos)
		return -1;

	int value = data[readPos];

	readPos++;

	if( readPos>=BUFFER_SIZE )
	{
		readPos = 0;
	}

	return value;
}
}
