package org.one.stone.soup.xml;

/*
 * Wet-Wired.com Xml Version Date 25-Aug-2004
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
 * @author nikcross
 *
 */

// TODO
public class XmlTagTokenProcessor implements XmlProcessor {
	XmlParser parser;
/**
 * XmlImportCompiler constructor comment.
 */
public XmlTagTokenProcessor(XmlParser parser) {
	super();
	this.parser = parser;
}
public boolean process(XmlElement root,XmlElement directive, XmlElement target,int lineNo,String currentFileName) throws XmlParseException {

	if( !directive.getName().equals("changeTagTokens"))
		return false;

	String startToken = directive.getAttributeValueByName("startToken");

	if(startToken!=null && startToken.length()==1)
	{
		parser.getReferenceElement().getTagTokens().setStartTagChar( startToken.charAt(0) );
	}

	String endToken = directive.getAttributeValueByName("endToken");

	if(endToken!=null && endToken.length()==1)
	{
		parser.getReferenceElement().getTagTokens().setEndTagChar( endToken.charAt(0) );
	}

	return true;
}
}
